Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# util.hh File Reference

An ATK Utility C++ wrapper interface. More...

`#include <xfc/utfstring.hh>`
`#include <atk/atkutil.h>`

## Namespaces

- namespace Xfc
- namespace Xfc::Atk

## RelationType Methods

- RelationType relation_type_register (const String &name)
    Associate name with a new RelationType.
- String relation_type_get_name (RelationType type)
    Gets the description string describing the RelationType type.
- RelationType relation_type_for_name (const String &name)
    Get the RelationType type corresponding to a relation name.

## Toolkit Methods

- Object * get_root ()
    Returns the root accessible container for the current application.
- Object * get_focus_object ()
    Gets the currently focused accessible object.
- String get_toolkit_name ()
    Returns the name string for the GUI toolkit implementing ATK for this application.
- String get_toolkit_version ()
    Returns the version string for the GUI toolkit implementing ATK for this application.

## Typedefs

- typedef AtkState State
    State is a typedef for AtkState.

## Enumerations

- enum CoordType {
  XY_SCREEN = ATK_XY_SCREEN,
  XY_WINDOW = ATK_XY_WINDOW
  }
    Specifies how xy coordinates are to be interpreted. More...
- enum Layer {
  LAYER_INVALID = ATK_LAYER_INVALID,
  LAYER_BACKGROUND = ATK_LAYER_BACKGROUND,
  LAYER_CANVAS = ATK_LAYER_CANVAS,
  LAYER_WIDGET = ATK_LAYER_WIDGET,
  LAYER_MDI = ATK_LAYER_MDI,
  LAYER_POPUP = ATK_LAYER_POPUP,
  LAYER_OVERLAY = ATK_LAYER_OVERLAY,
  LAYER_WINDOW = ATK_LAYER_WINDOW
  }
    Describes the layer of a component. More...
- enum RelationType {
  RELATION_NULL = ATK_RELATION_NULL,
  RELATION_CONTROLLED_BY = ATK_RELATION_CONTROLLED_BY,
  RELATION_CONTROLLER_FOR = ATK_RELATION_CONTROLLER_FOR,
  RELATION_LABEL_FOR = ATK_RELATION_LABEL_FOR,
  RELATION_LABELLED_BY = ATK_RELATION_LABELLED_BY,
  RELATION_MEMBER_OF = ATK_RELATION_MEMBER_OF,
  RELATION_NODE_CHILD_OF = ATK_RELATION_NODE_CHILD_OF,
  RELATION_FLOWS_TO = ATK_RELATION_FLOWS_TO,
  RELATION_FLOWS_FROM = ATK_RELATION_FLOWS_FROM,
  RELATION_SUBWINDOW_OF = ATK_RELATION_SUBWINDOW_OF,
  RELATION_EMBEDS = ATK_RELATION_EMBEDS,
  RELATION_EMBEDDED_BY = ATK_RELATION_EMBEDDED_BY,
  RELATION_POPUP_FOR = ATK_RELATION_POPUP_FOR,
  RELATION_LAST_DEFINED = ATK_RELATION_LAST_DEFINED
  }
    Describes the type of the relation. More...

## Detailed Description

An ATK Utility C++ wrapper interface.

Provides miscellaneous utility classes and functions.

## Enumeration Type Documentation

enum CoordType

Specifies how xy coordinates are to be interpreted.

Used by functions such as Atk::Component::get_position() and Atk::Text::get_character_extents().

Enumeration values:

  XY_SCREEN | Specifies xy coordinates relative to the screen.
  XY_WINDOW | Specifies xy coordinates relative to the widget's.

enum Layer

Describes the layer of a component.

The enumerated "layer values" are used when determining which UI rendering layer a component is drawn into, which can help in making determinations of when components occlude one another.

Enumeration values:

  LAYER_INVALID | The object does not have a layer.
  LAYER_BACKGROUND | This layer is reserved for the desktop background.
  LAYER_CANVAS | This layer is used for Canvas components.
  LAYER_WIDGET | This layer is normally used for components.
  LAYER_MDI | This layer is used for layered components.
  LAYER_POPUP | This layer is used for popup components, such as menus.
  LAYER_OVERLAY | This layer is reserved for future use.
  LAYER_WINDOW | This layer is used for toplevel windows.

enum RelationType

Describes the type of the relation.

Enumeration values:

  RELATION_NULL | No relation.
  RELATION_CONTROLLED_BY | Indicates an object controlled by one or more target objects.
  RELATION_CONTROLLER_FOR | Indicates an object is an controller for one or more target objects.
  RELATION_LABEL_FOR | Indicates an object is a label for one or more target objects.
  RELATION_LABELLED_BY | Indicates an object is labelled by one or more target objects.
  RELATION_MEMBER_OF | Indicates an object is a member of a group of one or more target objects.
  RELATION_NODE_CHILD_OF | Indicates an object is a cell in a treetable which is displayed because a cell in the same column is expanded and identifies that cell.
  RELATION_FLOWS_TO | Indicates that the object has content that flows logically to another Atk::Object in a sequential way, (for instance text-flow).
  RELATION_FLOWS_FROM | Indicates that the object has content that flows logically from another Atk::Object in a sequential way, (for instance text-flow).
  RELATION_SUBWINDOW_OF | [not sure about this one]
  RELATION_EMBEDS | Indicates that the object visually embeds another object's content, that is this object's content flows around another's content.
  RELATION_EMBEDDED_BY | Inverse of ATK_RELATION_EMBEDS, indicates that this object's content is visualy embedded in another object.
  RELATION_POPUP_FOR | Indicates that an object is a popup for another object.
  RELATION_LAST_DEFINED | Not a valid relation, used for finding end of the enumeration.

## Function Documentation

Object* get_focus_object | ( |  | ) |

Gets the currently focused accessible object.

Returns:
  The currently focused accessible object for the current application.

RelationType relation_type_for_name | ( | const String & | name | ) |

Get the RelationType type corresponding to a relation name.

Parameters:

  | name | A string which is the (non-localized) name of an ATK relation type.

Returns:
  The RelationType corresponding to the specified name, or RELATION_NULL if no matching relation type is found.

String relation_type_get_name | ( | RelationType | type | ) |

Gets the description string describing the RelationType type.

Parameters:

  | type | The RelationType whose name is required.

Returns:
  The string describing the RelationType.

RelationType relation_type_register | ( | const String & | name | ) |

Associate name with a new RelationType.

Parameters:

  | name | A name string.

Returns:
  A RelationType associated with name.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3